<?xml version="1.0" encoding="utf-8" ?>
<select>
  <selectstr>
SELECT u_configure_codemxbom.pzid
	,u_configure_codemxbom.printid
	,u_configure_codemxbom.pid
	,u_configure_codemxbom.mtrlid
	,u_configure_codemxbom.sonscale
	,u_configure_codemxbom.sonscale_formula
	,u_configure_codemxbom.mng_cost_rate
	,u_configure_codemxbom.profit_rate
	,u_configure_codemxbom.realqty
	,u_configure_codemxbom.cost
	,u_configure_codemxbom.sonloss
	,u_configure_codemxbom.sonloss_formula
	,u_configure_codemxbom.sondecloss
	,u_configure_codemxbom.sondecloss_formula
	,u_configure_codemxbom.default_length
	,u_configure_codemxbom.default_width
	,u_configure_codemxbom.default_qty
	,u_mtrldef.mtrlcode
	,u_mtrldef.mtrlname
	,u_mtrldef.mtrlmode
	,u_mtrldef.unit
	,u_mtrldef.mtrlsectype
	,u_mtrldef.zxmtrlmode
	,u_mtrldef.usermtrlmode
FROM u_configure_codemxbom
INNER JOIN u_mtrldef ON u_configure_codemxbom.mtrlid = u_mtrldef.mtrlid
INNER JOIN u_configure_code ON u_configure_codemxbom.pzid = u_configure_code.pzid
  </selectstr>
  <where>
	<when notnull="@pzid">
		u_configure_codemxbom.pzid = @pzid 
	</when>
	<when notnull="@printid">
		u_configure_codemxbom.printid = @printid
	</when>
	<when notnull="@typeid">
		u_configure_code.typeid = @typeid 
	</when>
  </where>
  <orderstr>pid</orderstr>
  <displayfields>
	<field field="pid">序</field>
	<field field="mtrlname">物料名称</field>
	<field field="unit">单位</field>
	<field field="sonscale" datatype="number">用料量</field>
	<field field="sonscale_formula">用料量公式</field>
	<field field="mng_cost_rate" datatype="number">管理费用率</field>
	<field field="profit_rate" datatype="number">利润率</field>
	<field field="realqty" datatype="number">物料清单总用量</field>
	<field field="cost" datatype="number">成本价</field>
	<field field="sonloss" datatype="number">损耗率</field>
	<field field="sonloss_formula">损耗率公式</field>
	<field field="sondecloss" datatype="number">损附加</field>
	<field field="sondecloss_formula">损附加公式</field>
	<field field="default_length" datatype="number">默认长</field>
	<field field="default_width" datatype="number">默认宽</field>
	<field field="default_qty" datatype="number">默认数量</field>
  </displayfields>
</select>
